interactions:
- request:
    body: ''
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - '*/*'
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      connection:
      - keep-alive
      host:
      - localhost:9999
    method: GET
    uri: http://localhost:9999/.well-known/agent-card.json
  response:
    body:
      string: '{"capabilities":{"streaming":true},"defaultInputModes":["text"],"defaultOutputModes":["text"],"description":"An
        AI assistant powered by OpenAI GPT with calculator and time tools. Ask questions,
        perform calculations, or get the current time in any timezone.","name":"GPT
        Assistant","preferredTransport":"JSONRPC","protocolVersion":"0.3.0","skills":[{"description":"Have
        a general conversation with the AI assistant. Ask questions, get explanations,
        or just chat.","examples":["Hello, how are you?","Explain quantum computing
        in simple terms","What can you help me with?"],"id":"conversation","name":"General
        Conversation","tags":["chat","conversation","general"]},{"description":"Perform
        mathematical calculations including arithmetic, exponents, and more.","examples":["What
        is 25 * 17?","Calculate 2^10","What''s (100 + 50) / 3?"],"id":"calculator","name":"Calculator","tags":["math","calculator","arithmetic"]},{"description":"Get
        the current date and time in any timezone.","examples":["What time is it?","What''s
        the current time in Tokyo?","What''s today''s date in New York?"],"id":"time","name":"Current
        Time","tags":["time","date","timezone"]}],"url":"http://localhost:9999/","version":"1.0.0"}'
    headers:
      content-length:
      - '1198'
      content-type:
      - application/json
      date:
      - Tue, 06 Jan 2026 14:17:02 GMT
      server:
      - uvicorn
    status:
      code: 200
      message: OK
- request:
    body: '{"id":"8cf25b61-8884-4246-adce-fccb32e176ab","jsonrpc":"2.0","method":"message/stream","params":{"configuration":{"acceptedOutputModes":[],"blocking":true},"message":{"kind":"message","messageId":"c145297f-7331-4835-adcc-66b51de92a2b","parts":[{"kind":"text","text":"What
      is 2 + 2?"}],"role":"user"}}}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - '*/*, text/event-stream'
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      cache-control:
      - no-store
      connection:
      - keep-alive
      content-length:
      - '301'
      content-type:
      - application/json
      host:
      - localhost:9999
    method: POST
    uri: http://localhost:9999/
  response:
    body:
      string: "data: {\"id\":\"8cf25b61-8884-4246-adce-fccb32e176ab\",\"jsonrpc\":\"2.0\",\"result\":{\"contextId\":\"30601267-ab3b-48ef-afc8-916c37a18651\",\"final\":false,\"kind\":\"status-update\",\"status\":{\"state\":\"submitted\"},\"taskId\":\"3083d3da-4739-4f4f-a4e8-7c048ea819c1\"}}\r\n\r\ndata:
        {\"id\":\"8cf25b61-8884-4246-adce-fccb32e176ab\",\"jsonrpc\":\"2.0\",\"result\":{\"contextId\":\"30601267-ab3b-48ef-afc8-916c37a18651\",\"final\":false,\"kind\":\"status-update\",\"status\":{\"state\":\"working\"},\"taskId\":\"3083d3da-4739-4f4f-a4e8-7c048ea819c1\"}}\r\n\r\ndata:
        {\"id\":\"8cf25b61-8884-4246-adce-fccb32e176ab\",\"jsonrpc\":\"2.0\",\"result\":{\"contextId\":\"30601267-ab3b-48ef-afc8-916c37a18651\",\"final\":true,\"kind\":\"status-update\",\"status\":{\"message\":{\"kind\":\"message\",\"messageId\":\"25f81e3c-b7e8-48b5-a98a-4066f3637a13\",\"parts\":[{\"kind\":\"text\",\"text\":\"\\n[Tool:
        calculator] 2 + 2 = 4\\n2 + 2 equals 4.\"}],\"role\":\"agent\"},\"state\":\"completed\"},\"taskId\":\"3083d3da-4739-4f4f-a4e8-7c048ea819c1\"}}\r\n\r\n"
    headers:
      Transfer-Encoding:
      - chunked
      cache-control:
      - no-store
      connection:
      - keep-alive
      content-type:
      - text/event-stream; charset=utf-8
      date:
      - Tue, 06 Jan 2026 14:17:02 GMT
      server:
      - uvicorn
      x-accel-buffering:
      - 'no'
    status:
      code: 200
      message: OK
version: 1
